using IRaCIS.Core.Domain.Share;
namespace IRaCIS.Core.Domain.Models;

[Comment("后台 - 字典表（需要同步）")]
[Table("Dictionary")]
public partial class Dictionary : BaseFullAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public List<DoctorDictionary> DoctorDicRelationList { get; set; } = new List<DoctorDictionary>();
    [JsonIgnore]
    [ForeignKey("ConfigTypeId")]
    public Dictionary ConfigDictionary { get; set; }

    [JsonIgnore]
    [ForeignKey("ParentId")]
    public Dictionary Parent { get; set; }
    [JsonIgnore]
    public List<Dictionary> ChildList { get; set; } = new List<Dictionary>();

    #endregion
   
    public string ChildGroup { get; set; } = null!;

    public string Code { get; set; } = null!;

    public Guid? ConfigTypeId { get; set; }

    [Comment("字典类型- 枚举|bool|下拉框")]
    public DicDataTypeEnum DataTypeEnum { get; set; }

    public string Description { get; set; } = null!;

    [Comment("是否字典类型配置")]
    public bool IsConfig { get; set; }

    public bool IsEnable { get; set; }

    public Guid? ParentId { get; set; }

    public int ShowOrder { get; set; }

   
    public string Value { get; set; } = null!;

   
    public string ValueCN { get; set; } = null!;
}
